	.text
	.globl	__log2_data
	.section	.rodata
	.align 32
	.type	__log2_data, @object
	.size	__log2_data, 2192
__log2_data:
	.long	1696595968
	.long	1073157447
	.long	787456512
	.long	1038550524
	.long	1697350457
	.long	-1075374777
	.long	3694789822
	.long	1071564553
	.long	1685073915
	.long	-1076423353
	.long	1342393416
	.long	1070757740
	.long	686461628
	.long	-1076967501
	.long	3776444718
	.long	1070228005
	.long	1697350398
	.long	-1075374777
	.long	3694789623
	.long	1071564553
	.long	1697348671
	.long	-1076423353
	.long	1357929444
	.long	1070757740
	.long	3715534821
	.long	-1076967671
	.long	516220726
	.long	1070227830
	.long	3160713115
	.long	-1077471937
	.long	1425021770
	.long	1069843665
	.long	2804693052
	.long	-1077769756
	.long	677047910
	.long	1069593391
	.long	1806806264
	.long	1073161256
	.long	4006457344
	.long	-1075771041
	.long	1725090977
	.long	1073144311
	.long	3178680320
	.long	-1075805036
	.long	238081162
	.long	1073127741
	.long	2934503424
	.long	-1075838653
	.long	852520069
	.long	1073111532
	.long	906706944
	.long	-1075904827
	.long	2500958456
	.long	1073095674
	.long	448258048
	.long	-1075970599
	.long	2765029996
	.long	1073080155
	.long	214405120
	.long	-1076035666
	.long	1512132536
	.long	1073064965
	.long	301834240
	.long	-1076100040
	.long	253128222
	.long	1073050093
	.long	842719232
	.long	-1076163737
	.long	1493956661
	.long	1073035529
	.long	1512943616
	.long	-1076226769
	.long	3982601693
	.long	1073021263
	.long	1526226944
	.long	-1076289153
	.long	2387114960
	.long	1073007288
	.long	2960232448
	.long	-1076350899
	.long	3023261678
	.long	1072993593
	.long	4188659712
	.long	-1076412023
	.long	3752842601
	.long	1072980171
	.long	3038351360
	.long	-1076472533
	.long	1323612499
	.long	1072967014
	.long	2728071168
	.long	-1076532445
	.long	287168678
	.long	1072954113
	.long	257925120
	.long	-1076591771
	.long	3071039542
	.long	1072941461
	.long	938909696
	.long	-1076650519
	.long	1253506378
	.long	1072929052
	.long	1401774080
	.long	-1076708703
	.long	216046005
	.long	1072916878
	.long	1086996480
	.long	-1076766333
	.long	2182342578
	.long	1072904932
	.long	977330176
	.long	-1076823419
	.long	428195249
	.long	1072893209
	.long	854011904
	.long	-1076879972
	.long	3400692183
	.long	1072881701
	.long	2734317568
	.long	-1076984451
	.long	3474181506
	.long	1072870404
	.long	1664974848
	.long	-1077095480
	.long	746376016
	.long	1072859312
	.long	1276420096
	.long	-1077205501
	.long	1670663653
	.long	1072848418
	.long	793763840
	.long	-1077314532
	.long	1032197553
	.long	1072837718
	.long	1065353216
	.long	-1077422590
	.long	3812536120
	.long	1072827206
	.long	436592640
	.long	-1077529689
	.long	4258112477
	.long	1072816878
	.long	3914792960
	.long	-1077635851
	.long	1477130544
	.long	1072806730
	.long	618700800
	.long	-1077741084
	.long	2222924288
	.long	1072796755
	.long	1526579200
	.long	-1077845415
	.long	3235239740
	.long	1072786950
	.long	1975353344
	.long	-1077961574
	.long	1203233986
	.long	1072777311
	.long	1543094272
	.long	-1078166697
	.long	2902492625
	.long	1072767832
	.long	267681792
	.long	-1078370106
	.long	257106471
	.long	1072758512
	.long	1203109888
	.long	-1078571806
	.long	2010135183
	.long	1072749344
	.long	2986426368
	.long	-1078771848
	.long	3596189913
	.long	1072740326
	.long	440582144
	.long	-1078970243
	.long	4269490317
	.long	1072731454
	.long	146079744
	.long	-1079349358
	.long	3401923459
	.long	1072722725
	.long	1333198848
	.long	-1079739755
	.long	3826064220
	.long	1072714135
	.long	3305897984
	.long	-1080220760
	.long	3240136354
	.long	1072705681
	.long	695730176
	.long	-1080989146
	.long	632520225
	.long	1072697360
	.long	3639083008
	.long	-1082711816
	.long	4190807915
	.long	1072676990
	.long	2974810112
	.long	1065811539
	.long	3556176260
	.long	1072645221
	.long	3775889408
	.long	1067523276
	.long	2676232319
	.long	1072614407
	.long	2357952512
	.long	1068256764
	.long	2576833256
	.long	1072584506
	.long	509034496
	.long	1068739122
	.long	4038933990
	.long	1072555478
	.long	3498803200
	.long	1069095072
	.long	2180987059
	.long	1072527286
	.long	3657711616
	.long	1069445865
	.long	1917708611
	.long	1072499893
	.long	1350524928
	.long	1069669586
	.long	3691935075
	.long	1072473266
	.long	64921600
	.long	1069840043
	.long	3906390865
	.long	1072447374
	.long	2011308032
	.long	1070008131
	.long	1325534284
	.long	1072422187
	.long	2343124992
	.long	1070173918
	.long	6297034
	.long	1072397676
	.long	1792204800
	.long	1070337464
	.long	1848521615
	.long	1072373814
	.long	2949570560
	.long	1070498826
	.long	640241721
	.long	1072350576
	.long	3026681856
	.long	1070627082
	.long	3156685277
	.long	1072327937
	.long	1744945152
	.long	1070705669
	.long	3158307211
	.long	1072305875
	.long	3573473280
	.long	1070783249
	.long	1231552173
	.long	1072284369
	.long	1321566208
	.long	1070859846
	.long	4101806338
	.long	1072263396
	.long	154857472
	.long	1070935486
	.long	964869362
	.long	1072242939
	.long	542167040
	.long	1071010192
	.long	2281134577
	.long	1072222977
	.long	3454726144
	.long	1071083986
	.long	3954833005
	.long	1072203493
	.long	2239598592
	.long	1071156892
	.long	3059267988
	.long	1072184471
	.long	1440833536
	.long	1071228929
	.long	4291170338
	.long	1072165893
	.long	1859375104
	.long	1071300120
	.long	403969482
	.long	1072147746
	.long	2929778688
	.long	1071370482
	.long	4187946892
	.long	1072130012
	.long	1035943936
	.long	1071440036
	.long	314116750
	.long	1072046080
	.long	105166341
	.long	1015612587
	.long	72823974
	.long	1072062464
	.long	3932354473
	.long	1013055387
	.long	3274044101
	.long	1072078847
	.long	3409744058
	.long	1015185103
	.long	951671300
	.long	1072095232
	.long	1450414886
	.long	1015611272
	.long	3768161507
	.long	1072111615
	.long	660570801
	.long	1015741760
	.long	358157840
	.long	1072128000
	.long	3022226241
	.long	-1133314699
	.long	308632533
	.long	1072144384
	.long	2082745206
	.long	1014499558
	.long	844753318
	.long	1072160768
	.long	653664951
	.long	-1134425884
	.long	3988042450
	.long	1072177151
	.long	514181423
	.long	-1132199354
	.long	771423427
	.long	1072193536
	.long	2733808159
	.long	1013839860
	.long	4153174864
	.long	1072209919
	.long	155817469
	.long	-1131543469
	.long	963056998
	.long	1072226304
	.long	3200744261
	.long	-1131805453
	.long	3804174149
	.long	1072242687
	.long	1074667580
	.long	-1132987852
	.long	3428622289
	.long	1072259071
	.long	94398813
	.long	-1133052032
	.long	1002063719
	.long	1072275456
	.long	3303833091
	.long	1014036676
	.long	3887672741
	.long	1072291839
	.long	1200375298
	.long	1015971801
	.long	3610181039
	.long	1072308223
	.long	1305325182
	.long	-1133900715
	.long	3724869525
	.long	1072324607
	.long	2364125803
	.long	1015446953
	.long	3395194155
	.long	1072340991
	.long	3041661918
	.long	-1132297015
	.long	3719103466
	.long	1072357375
	.long	3932171836
	.long	1012404936
	.long	4044176717
	.long	1072373759
	.long	2905045148
	.long	-1131480355
	.long	3458274906
	.long	1072390143
	.long	432411191
	.long	1012124439
	.long	3645957748
	.long	1072406527
	.long	1100271104
	.long	1014233049
	.long	329033903
	.long	1072422912
	.long	559782848
	.long	1014303428
	.long	1531371417
	.long	1072439296
	.long	1407828425
	.long	1013706406
	.long	1085929390
	.long	1072455680
	.long	659189974
	.long	-1132722273
	.long	1649802634
	.long	1072472064
	.long	1994935327
	.long	-1132852416
	.long	3645639005
	.long	1072488447
	.long	4187665879
	.long	1015609651
	.long	4185249487
	.long	1072504831
	.long	1717559742
	.long	-1135072248
	.long	2723552403
	.long	1072521215
	.long	2614269427
	.long	-1132788696
	.long	2636286732
	.long	1072537599
	.long	873439798
	.long	1015480913
	.long	1706851862
	.long	1072553984
	.long	379901964
	.long	-1133182690
	.long	49694609
	.long	1072570368
	.long	166683360
	.long	1015644207
	.long	1473750744
	.long	1072586752
	.long	1477244922
	.long	-1132590219
	.long	669892620
	.long	1072603136
	.long	155555857
	.long	-1131641725
	.long	1828047740
	.long	1072619520
	.long	2501211892
	.long	-1131446233
	.long	2016116172
	.long	1072635904
	.long	1920226191
	.long	-1131445799
	.long	638338314
	.long	1072652288
	.long	656932828
	.long	-1136627456
	.long	3901543731
	.long	1072668671
	.long	3791497392
	.long	-1135076388
	.long	3574564489
	.long	1072685055
	.long	3415314030
	.long	1015544090
	.long	69804903
	.long	1072701440
	.long	1697793665
	.long	1016823795
	.long	3823359592
	.long	1072717823
	.long	3719206267
	.long	1015478792
	.long	176531287
	.long	1072734208
	.long	2161376145
	.long	-1135090978
	.long	442449868
	.long	1072750592
	.long	96858132
	.long	-1131314637
	.long	4172266229
	.long	1072766975
	.long	1719712450
	.long	-1131676997
	.long	3847066029
	.long	1072783359
	.long	389539823
	.long	-1130529006
	.long	296498913
	.long	1072799744
	.long	85390847
	.long	1016856586
	.long	432554568
	.long	1072816128
	.long	3839516064
	.long	-1131379973
	.long	268328558
	.long	1072832512
	.long	1285356355
	.long	-1131872816
	.long	648009873
	.long	1072848896
	.long	2039796098
	.long	1015873066
	.long	698803930
	.long	1072865280
	.long	1902021573
	.long	-1133510029
	.long	3760799289
	.long	1072881663
	.long	3669141241
	.long	1016822841
	.long	4158451842
	.long	1072898047
	.long	1859932756
	.long	1014886707
	.long	4032465760
	.long	1072914431
	.long	1288516075
	.long	-1130495146
	.long	772714188
	.long	1072930816
	.long	1272161399
	.long	1014362343
	.long	71021110
	.long	1072947200
	.long	345868339
	.long	1016888779
	.long	47286271
	.long	1072963584
	.long	3475848488
	.long	1014892719
	.long	221805745
	.long	1072979968
	.long	2238028198
	.long	1015154743
	.long	72785801
	.long	1072996352
	.long	2421144786
	.long	-1131808164
	.long	70599667
	.long	1073012736
	.long	3977728809
	.long	-1132981979
	.long	3422715663
	.long	1073029119
	.long	2222413020
	.long	1016628184
	.long	4253528943
	.long	1073045503
	.long	835725319
	.long	-1132000793
	.long	4062050234
	.long	1073061887
	.long	1752333058
	.long	1015543711
	.long	3959174273
	.long	1073078271
	.long	774957374
	.long	-1131315056
